// FlagKit

$FLAGKIT_FOLDER_PATH: '/src/assets/scss/back/icons/flag-icon-css/flags/';

$FLAGKIT_COUNTRY_CODES: 'de', 'dk', 'es', 'fr', 'gb', 'it', 'no', 'se';

@mixin flag-background ($size) {
    height: #{$size}px;
    width: #{$size}px;
    background-size: #{$size}px #{$size}px;
}

.flag {
    @include flag-background('16');
    &.medium {
        @include flag-background('24')
    }
    &.large {
        @include flag-background('32')
    }
}

@each $country-code in $FLAGKIT_COUNTRY_CODES {
    .#{$country-code} {
        background: url(#{$FLAGKIT_FOLDER_PATH}#{$country-code}.svg) no-repeat;
    }
}

.bg-focus {
    background-color: #444054
}
